Subject: Re: bug#63871: 29.0.91; JIT native comp triggered to compile loaddefs repeatedly on require

From: Jimmy Wong <[email-masked]>
Date: Sat, 3 Jun 2023 15:17:22 +0100

I’m not entirely sure why but fine. How do I configure Emacs in such a way that whenever this buffer is created, it is buried?
On 3 Jun 2023 at 3:13 PM +0100, Eli Zaretskii <[email-masked]>, wrote:
> > Date: Sat, 3 Jun 2023 15:05:06 +0100
> > From: Jimmy Wong <[email-masked]>
> > Cc: [email-masked]
> >
> > When there’s a package or a file that should not be natively compiled, there should be a global
> > blacklist variable that controls that instead of relying on a file local variable in order to short circuit this
> > behavior.
>
> We decided against that. (A blacklist would unnecessarily complicate
> any changes in our decisions which file to compile and which not to
> compile.) We think what we have now is perfectly fine. I still don't
> understand why you see a problem there. It's perhaps unexpected, but
> that's all. It's a buffer users normally don't need to look into.
> The alternatives are worse, sometimes much worse.